Debian Bug report logs - #656543
[python-pypcap, python-libpcap] Both package have a module named pcap, therefore should be marked as a conflict

version graph

Packages: python-libpcap, python-pypcap; Maintainer for python-libpcap is Debian QA Group <packages@qa.debian.org>; Source for python-libpcap is src:python-libpcap. Maintainer for python-pypcap is Robert S. Edmonds <edmonds@debian.org>; Source for python-pypcap is src:python-pypcap.

Reported by: Agustin Henze <tin@sluc.org.ar>

Date: Fri, 20 Jan 2012 01:09:05 UTC

Severity: serious

Fixed in versions python-libpcap/0.6.2-0.2, python-pypcap/1.1.2+debian-2.2

Done: Shell Xu <shell909090@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Robert S. Edmonds <edmonds@debian.org>, Thomas Bläsing <thomasbl@pool.math.tu-berlin.de>:
Bug#656543; Package python-pypcap,python-libpcap. (Fri, 20 Jan 2012 01:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Henze <tin@sluc.org.ar>:
New Bug report received and forwarded. Copy sent to Robert S. Edmonds <edmonds@debian.org>, Thomas Bläsing <thomasbl@pool.math.tu-berlin.de>.

Your message had a Version: pseudo-header with an invalid package version:

python-libcpcap/0.6.2-0.1+b2

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Fri, 20 Jan 2012 01:09:09 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Agustin Henze <tin@sluc.org.ar>
To: submit@bugs.debian.org
Subject: [python-pypcap, python-libpcap] Both package have a module named pcap, therefore should be marked as a conflict
Date: Thu, 19 Jan 2012 18:27:10 -0300
[Message part 1 (text/plain, inline)]
Package: python-pypcap,python-libpcap
Version: python-pypcap/1.1.2+debian-2.1
Version: python-libcpcap/0.6.2-0.1+b2
Severity: normal

The packages above mentioned provide similar libpcap-based capturing and
injection funcionalities. The issue is presented when loading pcap
python module and we having both packages installed, a conflict could be
produced if the wrong library is loaded first e.g.[0].
This packages should conflict between each other.

[0]/usr/share/doc/python-libpcap/examples/sniff.py

-- 
TiN

[signature.asc (application/pgp-signature, attachment)]

Severity set to 'serious' from 'normal' Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sat, 21 Jan 2012 11:37:30 GMT) Full text and rfc822 format available.

Reply sent to Shell Xu <shell909090@gmail.com>:
You have taken responsibility. (Mon, 30 Apr 2012 03:36:04 GMT) Full text and rfc822 format available.

Notification sent to Agustin Henze <tin@sluc.org.ar>:
Bug acknowledged by developer. (Mon, 30 Apr 2012 03:36:05 GMT) Full text and rfc822 format available.

Message #12 received at 656543-close@bugs.debian.org (full text, mbox):

From: Shell Xu <shell909090@gmail.com>
To: 656543-close@bugs.debian.org
Subject: Bug#656543: fixed in python-libpcap 0.6.2-0.2
Date: Mon, 30 Apr 2012 03:32:38 +0000
Source: python-libpcap
Source-Version: 0.6.2-0.2

We believe that the bug you reported is fixed in the latest version of
python-libpcap, which is due to be installed in the Debian FTP archive:

python-libpcap_0.6.2-0.2.diff.gz
  to main/p/python-libpcap/python-libpcap_0.6.2-0.2.diff.gz
python-libpcap_0.6.2-0.2.dsc
  to main/p/python-libpcap/python-libpcap_0.6.2-0.2.dsc
python-libpcap_0.6.2-0.2_i386.deb
  to main/p/python-libpcap/python-libpcap_0.6.2-0.2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 656543@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Shell Xu <shell909090@gmail.com> (supplier of updated python-libpcap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 30 Apr 2012 11:11:07 +0800
Source: python-libpcap
Binary: python-libpcap
Architecture: source i386
Version: 0.6.2-0.2
Distribution: unstable
Urgency: low
Maintainer: Thomas Bläsing <thomasbl@pool.math.tu-berlin.de>
Changed-By: Shell Xu <shell909090@gmail.com>
Description: 
 python-libpcap - python libpcap wrapper
Closes: 656543
Changes: 
 python-libpcap (0.6.2-0.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * (Closes: #656543) python-pypcap python-libpcap marked as conflict.
Checksums-Sha1: 
 beaf6363c1c7b509fd070c9b47a93aa2aa52972d 1281 python-libpcap_0.6.2-0.2.dsc
 91f7da8ad583a4a6f5f41fc0930a6173e14e3ce1 2915 python-libpcap_0.6.2-0.2.diff.gz
 91b49ffe356155a1237e079899de9e5e86ba0df8 58760 python-libpcap_0.6.2-0.2_i386.deb
Checksums-Sha256: 
 59da5f1bc64b960d91d5b45e6229bb1cdb8e01859121ea71d5f48ab4b1e261ad 1281 python-libpcap_0.6.2-0.2.dsc
 a0f47e94afb26b74b858b8a51e1d03f0def4942ca1f9e6008e66b76071e6b8fd 2915 python-libpcap_0.6.2-0.2.diff.gz
 f64603d11a51a8938bc0966068f23dac5ddac58ab1012978daa75d9dd4c5e603 58760 python-libpcap_0.6.2-0.2_i386.deb
Files: 
 51fb0ffaffc332dbe1513a8a7e42543f 1281 python optional python-libpcap_0.6.2-0.2.dsc
 0470062384f072a0bf27691f54e3219c 2915 python optional python-libpcap_0.6.2-0.2.diff.gz
 42e3a53b1c38ed66753e663625d86a68 58760 python optional python-libpcap_0.6.2-0.2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+eBjMACgkQ+MQbLPcULsLBQgCfYN8GjSgp2C0u/tK8cNUu8hyt
Qs4An1GdSqbsZgOrfLp6QeGh3ILvzRMj
=mXnm
-----END PGP SIGNATURE-----





Reply sent to Shell Xu <shell909090@gmail.com>:
You have taken responsibility. (Mon, 30 Apr 2012 03:51:04 GMT) Full text and rfc822 format available.

Notification sent to Agustin Henze <tin@sluc.org.ar>:
Bug acknowledged by developer. (Mon, 30 Apr 2012 03:51:04 GMT) Full text and rfc822 format available.

Message #17 received at 656543-close@bugs.debian.org (full text, mbox):

From: Shell Xu <shell909090@gmail.com>
To: 656543-close@bugs.debian.org
Subject: Bug#656543: fixed in python-pypcap 1.1.2+debian-2.2
Date: Mon, 30 Apr 2012 03:47:29 +0000
Source: python-pypcap
Source-Version: 1.1.2+debian-2.2

We believe that the bug you reported is fixed in the latest version of
python-pypcap, which is due to be installed in the Debian FTP archive:

python-pypcap_1.1.2+debian-2.2.diff.gz
  to main/p/python-pypcap/python-pypcap_1.1.2+debian-2.2.diff.gz
python-pypcap_1.1.2+debian-2.2.dsc
  to main/p/python-pypcap/python-pypcap_1.1.2+debian-2.2.dsc
python-pypcap_1.1.2+debian-2.2_i386.deb
  to main/p/python-pypcap/python-pypcap_1.1.2+debian-2.2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 656543@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Shell Xu <shell909090@gmail.com> (supplier of updated python-pypcap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 30 Apr 2012 11:17:03 +0800
Source: python-pypcap
Binary: python-pypcap
Architecture: source i386
Version: 1.1.2+debian-2.2
Distribution: unstable
Urgency: low
Maintainer: Robert S. Edmonds <edmonds@debian.org>
Changed-By: Shell Xu <shell909090@gmail.com>
Description: 
 python-pypcap - object-oriented Python interface for libpcap
Closes: 656543
Changes: 
 python-pypcap (1.1.2+debian-2.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * (Closes: #656543) python-pypcap python-libpcap marked as conflict.
Checksums-Sha1: 
 ca77970194c444d68f6a4ed47e197618472630f4 1171 python-pypcap_1.1.2+debian-2.2.dsc
 0a202122a146b74dc70c80b56ab8acab5ac7798f 3103 python-pypcap_1.1.2+debian-2.2.diff.gz
 cd51b66c45251a45033d0e2fb9e38106861c49a4 42046 python-pypcap_1.1.2+debian-2.2_i386.deb
Checksums-Sha256: 
 7220347384ebb815965c8275fbecf3f2880278956e983e77e498a8ba1bea14cb 1171 python-pypcap_1.1.2+debian-2.2.dsc
 78db604139fff662062ce4bb1548ee7ecc440c129f3a4ae5a9da17612a103796 3103 python-pypcap_1.1.2+debian-2.2.diff.gz
 75098c937a48124a2fd5d0f3618873d7f827c560b7d7740e1b42de6d6f548ae8 42046 python-pypcap_1.1.2+debian-2.2_i386.deb
Files: 
 667993ba3e5ad7be9d894f13f4dea5ce 1171 python optional python-pypcap_1.1.2+debian-2.2.dsc
 ebac80633fc92fd3cc15153424a92381 3103 python optional python-pypcap_1.1.2+debian-2.2.diff.gz
 a54e45fb33b11a7075301c6c559c910d 42046 python optional python-pypcap_1.1.2+debian-2.2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+eByEACgkQ+MQbLPcULsJk2wCgomn09vnD+zma9FIP5rT1nBEH
b04AnRSLvq7lYkIXyc21XUMZ/6+hBcp4
=H8vR
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 28 May 2012 07:35:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:30:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.